文件上传
curl --request POST \
--url https://api.omniall.ai/v1/files \
--header 'Authorization: <authorization>' \
--header 'Content-Type: multipart/form-data' \
--form 'file=@example-file;type=application/octet-stream'import requests
url = "https://api.omniall.ai/v1/files"
files = { "file": ("example-file", open("example-file", "rb"), "application/octet-stream") }
headers = {"Authorization": "<authorization>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
options.body = form;
fetch('https://api.omniall.ai/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "file-xxxxxxxx",
"object": "file",
"url": "https://cdn.example.com/files/uploads/2026/06/03/xxx.pdf",
"filename": "demo.pdf",
"bytes": 12345,
"created_at": 1710000000
}平台API
文件上传
通过 multipart 表单上传单个文件。
路径: POST https://api.omniall.ai/v1/files
可将返回的 url 用于其它接口的图片 / 视频 / 音频参考。
鉴权:Authorization: Bearer sk-...
POST
/
v1
/
files
文件上传
请求头
Bearer API Key。
示例:
"Bearer sk-..."
请求体
multipart/form-data
要上传的文件(必填)。大小限制常见为 10MB。